diff --git a/kvm_emulate.c b/kvm_emulate.c
index eb1c803..d3aa934 100644
--- a/kvm_emulate.c
+++ b/kvm_emulate.c
@@ -319,7 +319,8 @@ static uint32_t twobyte_table[256] = {
 	/* 0xD0 - 0xDF */
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 	/* 0xE0 - 0xEF */
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
+	0, 0, 0, 0, 0, 0, 0, DstMem | SrcReg | ModRM | Mov,
+	0, 0, 0, 0, 0, 0, 0, 0,
 	/* 0xF0 - 0xFF */
 	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
 };
@@ -3049,6 +3050,9 @@ btc:				/* btc */
 			goto done;
 		c->dst.type = OP_NONE;
 		break;
+	case 0xe7:
+		c->dst.val = c->src.val;
+		break;
 	}
 	goto writeback;
 
